← WordPress

Erro após actualizar o Wordpress

Lida 1348 vezes

Offline

André Freitas 
Membro
Mensagens 941 Gostos 16
Troféus totais: 29
Trófeus: (Ver todos)
Apple User Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Level 5 Level 4 Level 3 Level 2

Actualizei um Blog em Wordpress e quando concluído apareceu este erro:
Warning: fread() [function.fread]: Length parameter must be greater than 0 in /home/gorlix/public_html/wp-includes/pomo/streams.php on line 113

Já fui à linha ver o que tinha mas não vi nenhum "0", só vi em cima e mesmo alterando permanece um erro.

Por consequente estive a googlar e tentei fazer em traços gerais o que vi e não resultou.

Se alguém tiver alguma luz obrigado  :wink:
Offline

spec 
Elite
Mensagens 989 Gostos 1
Feedback +2

Troféus totais: 28
Trófeus: (Ver todos)
Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Level 5 Level 4 Level 3 Level 2 Level 1

provavelmente na linha 113 desse ficheiro tens um teste condicional, um IF por exemplo e a operação de condição deve estar errada. O aviso do erro diz-te que o tamanho do parâmetro (variável em teste) tem de ser obrigatoriamente maior que 0, vê bem se essa condição obrigas a que seja maior que zero.
Offline

ThunderWolf 
Membro
Mensagens 7 Gostos 0
Troféus totais: 20
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Level 4 Level 3 Level 2 Level 1 First Post Signature Karma

"This has to do with the language files in Advertising Manager. I assume that you are using a non-english version of Wordpress."

http://wordpress.org/support/topic/345935